Title
Create new category
Edit page index title
Edit category
Edit link
File Delivery
Once the print file has been generated by FastEditor, we need to share the file location of the print-ready files. You therefore need to implement a handle that can receive this request from FastEditor.
Endpoint(s)
The endpoints for this request (for test/staging/production environments) should be provided by you and shared with your account manager at FastEditor.
Authorization
When sending the shopping cart payload to your endpoint, we will add the X-Api-Key header to the request so you can verify the sender. The value of this X-Api-Key will be shared by your account manager on start start of the integration process.
Request
This request body is a JSON objects with the following parameters:
| Name | Required | Description | DataType | Example |
|---|---|---|---|---|
| projectKey | Yes | Unique Identifier for the finished project as received in the request in Sale Notification | Integer | 492393 |
| files | Yes | Array with the download URLs of the files required for printing. This could be a single PDF file for a photobook, or an array of images for a set of prints. | Array | ["https://printfiles.com/generatedbook.pdf"] |
| output | Yes | The
| Array | [ { "name": "bookCover", "printFiles": [ ], "printMethod": "Digital printing" }, { "name": "innerPages", "printFiles": [ ], "printMethod": "Digital printing" } ] |
| uploads | No (only for logo products) | Array of URLs to the original uploads made by the user. This is only shared for logo products so that this can be used to check vectorization results. | Array | "[https://useruploads.com/logo.eps"] |
| callbackUrl | No | When provided in the Sale Notification the callback Url where the print files were sent to is returned here. | String | "https://fast-editor.yspacc.com/v1/projects/file-delivery" |
Response
We will check for a successful (201) response header to this request so we know the data was received and saved correctly.
Example Request
Below an example request to your File Delivery endpoint:
curl --location--request POST 'https://yourapidomain.com/your_endpoint' \--header 'X-Api-Key: ************* ' \--header 'Content-Type: application/json' \--data-raw '{ "projectKey": 492393, "files": [ "https://order-fulfillment-staging-documents-fasteditor.s3.amazonaws.com/25/123_456_FSF2nXZRmNrqSwQAAila/10111132/v1755077001/combined-file.pdf" ], "output": [ { "name": "front", "printFiles": [ "https://order-fulfillment-staging-documents-fasteditor.s3.amazonaws.com/25/123_456_FSF2nXZRmNrqSwQAAila/10111132/v1755077001/0.pdf" ], "proofUrls": [ "https://order-fulfillment-staging-documents-fasteditor.s3.amazonaws.com/25/123_456_FSF2nXZRmNrqSwQAAila/10111132/v1755077001/proof_0.pdf" ], "printMethod": "Digital printing" }, { "name": "back", "printFiles": [ "https://order-fulfillment-staging-documents-fasteditor.s3.amazonaws.com/25/124_457_FSF2nXZRmNrqSwQAAila/10111132/1.pdf" ], "proofUrls": [ "https://order-fulfillment-staging-documents-fasteditor.s3.amazonaws.com/25/124_457_FSF2nXZRmNrqSwQAAila/10111132/proof_1.pdf" ], "printMethod": "Digital printing" } ], "uploads": [ "https://useruploads.com/logo.eps" ], "callbackUrl": "https://fast-editor.yspacc.com/v1/projects/file-delivery"}'